Date: Tuesday, February 13, 2018 @ 17:37:23
  Author: arojas
Revision: 316809

archrelease: copy trunk to staging-x86_64

Added:
  pyqt5/repos/staging-x86_64/
  pyqt5/repos/staging-x86_64/PKGBUILD
    (from rev 316808, pyqt5/trunk/PKGBUILD)
  pyqt5/repos/staging-x86_64/pyqt-support-new-qt.patch
    (from rev 316808, pyqt5/trunk/pyqt-support-new-qt.patch)

---------------------------+
 PKGBUILD                  |  128 ++++++++++++++++++++++++++++++++++++++++++++
 pyqt-support-new-qt.patch |   12 ++++
 2 files changed, 140 insertions(+)

Copied: pyqt5/repos/staging-x86_64/PKGBUILD (from rev 316808, 
pyqt5/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD                             (rev 0)
+++ staging-x86_64/PKGBUILD     2018-02-13 17:37:23 UTC (rev 316809)
@@ -0,0 +1,128 @@
+# $Id$
+# Maintainer: Felix Yan <felixonm...@archlinux.org>
+# Contributor: Andrea Scarpino <and...@archlinux.org>
+# Contributor: Yichao Yu <yyc1...@gmail.com>
+# Contributor: Douglas Soares de Andrade <doug...@archlinux.org>
+# Contributor: riai <r...@bigfoot.com> Ben <b...@benmazer.net>
+
+pkgbase=pyqt5
+pkgname=('pyqt5-common' 'python-pyqt5' 'python2-pyqt5')
+pkgver=5.10
+pkgrel=3
+arch=('x86_64')
+url="http://riverbankcomputing.co.uk/software/pyqt/intro";
+license=('GPL')
+makedepends=('python-sip' 'python2-sip' 'python-opengl' 'python2-opengl'
+             'python2-dbus' 'python-dbus' 'qt5-connectivity'
+             'qt5-multimedia' 'qt5-tools' 'qt5-serialport' 'qt5-svg'
+             'qt5-webengine' 'qt5-webkit' 'qt5-websockets' 'qt5-x11extras' 
'qt5-networkauth')
+source=("http://sourceforge.net/projects/pyqt/files/PyQt5/PyQt-$pkgver/PyQt5_gpl-$pkgver.tar.gz";
 pyqt-support-new-qt.patch)
+sha512sums=('a86520870536618857ed3ee1601af45f5a0b456de192a5d6a3f8fa734e5cf49b8ce373928c0f4aeaae365d3fa95db03b5f59ae2903bc5eb2304b7edf22198033'
+            
'9e4184291c0ece0bf375da3e0cf6e3f22df33eea1ee2b981fe9e2a0ba7d625583dd513c029c49562189986c0145262ac2aa8e5aa85701a981b3ed4061f4acf36')
+
+prepare() {
+  # Support new versions of Qt - don't remove, needs to be reapplied after 
every new Qt release
+  pushd PyQt5_gpl-$pkgver
+  patch -p1 -i ../pyqt-support-new-qt.patch
+  popd
+
+  # The additional include path was removed due to this line, I don't really 
know why they are doing this...
+  sed -i '/target_config.dbus_inc_dirs = \[\]/d' PyQt5_gpl-$pkgver/configure.py
+
+  cp -a PyQt5_gpl-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/PyQt5_gpl-$pkgver
+  python configure.py \
+    --confirm-license \
+    --no-sip-files \
+    --qsci-api \
+    -q /usr/bin/qmake-qt5
+
+  # Thanks Gerardo for the rpath fix
+  find -name 'Makefile' | xargs sed -i 
's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
+
+  make
+
+  cd "$srcdir"/PyQt5_gpl-$pkgver-py2
+  python2 configure.py \
+    --confirm-license \
+    --no-sip-files \
+    --qsci-api \
+    -q /usr/bin/qmake-qt5
+
+  # Thanks Gerardo for the rpath fix
+  find -name 'Makefile' | xargs sed -i 
's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
+
+  make
+}
+
+package_pyqt5-common(){
+  pkgdesc="Common PyQt files shared between python-pyqt5 and python2-pyqt5"
+  depends=('qt5-base')
+
+  cd PyQt5_gpl-$pkgver
+  install -Dm644 PyQt5.api "$pkgdir"/usr/share/qt/qsci/api/python/PyQt5.api
+
+  install -d "$pkgdir"/usr/share/sip/PyQt5
+  cp -a sip/* "$pkgdir"/usr/share/sip/PyQt5
+}
+
+package_python-pyqt5(){
+  pkgdesc="A set of Python 3.x bindings for the Qt5 toolkit"
+  depends=('python-sip' 'pyqt5-common')
+  optdepends=('python-opengl: enable OpenGL 3D graphics in PyQt applications'
+              'python-dbus: for python-dbus mainloop support'
+              'qt5-multimedia: QtMultimedia, QtMultimediaWidgets'
+              'qt5-tools: QtHelp, QtDesigner'
+              'qt5-svg: QtSvg'
+              'qt5-webkit: QtWebKit, QtWebKitWidgets'
+              'qt5-xmlpatterns: QtXmlPatterns'
+              'qt5-declarative: QtQml, qmlplugin'
+              'qt5-serialport: QtSerialPort'
+              'qt5-websockets: QtWebSockets'
+              'qt5-connectivity: QtNfc, QtBluetooth'
+              'qt5-webengine: QtWebEngine, QtWebEngineCore, QtWebEngineWidgets'
+              'qt5-x11extras: QtX11Extras'
+              'qt5-networkauth: QtNetworkAuth')
+
+  cd PyQt5_gpl-$pkgver
+  # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
+  make DESTDIR="$pkgdir" INSTALL_ROOT="$pkgdir" install
+
+  # Provided by pyqt-common
+  rm "$pkgdir"/usr/share/qt/qsci/api/python/PyQt5.api
+}
+
+package_python2-pyqt5(){
+  pkgdesc="A set of Python 2.x bindings for the Qt5 toolkit"
+  depends=('python2-sip' 'pyqt5-common' 'python2-enum34')
+  optdepends=('python2-opengl: enable OpenGL 3D graphics in PyQt applications'
+              'python-dbus: for python-dbus mainloop support'
+              'qt5-multimedia: QtMultimedia, QtMultimediaWidgets'
+              'qt5-tools: QtHelp, QtDesigner'
+              'qt5-svg: QtSvg'
+              'qt5-webkit: QtWebKit, QtWebKitWidgets'
+              'qt5-xmlpatterns: QtXmlPatterns'
+              'qt5-declarative: QtQml, qmlplugin'
+              'qt5-serialport: QtSerialPort'
+              'qt5-websockets: QtWebSockets'
+              'qt5-connectivity: QtNfc, QtBluetooth'
+              'qt5-webengine: QtWebEngine, QtWebEngineCore, QtWebEngineWidgets'
+              'qt5-x11extras: QtX11Extras'
+              'qt5-networkauth: QtNetworkAuth')
+
+  cd PyQt5_gpl-$pkgver-py2
+  # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
+  make DESTDIR="$pkgdir" INSTALL_ROOT="$pkgdir" install
+
+  # Fix conflicts with python-pyqt5
+  mv "$pkgdir"/usr/bin/{,python2-}pyuic5
+  mv "$pkgdir"/usr/bin/{,python2-}pylupdate5
+  mv "$pkgdir"/usr/bin/{,python2-}pyrcc5
+
+  rm "$pkgdir"/usr/lib/qt/plugins/designer/libpyqt5.so
+  rm "$pkgdir"/usr/lib/qt/plugins/PyQt5/libpyqt5qmlplugin.so
+  rm "$pkgdir"/usr/share/qt/qsci/api/python/PyQt5.api
+}

Copied: pyqt5/repos/staging-x86_64/pyqt-support-new-qt.patch (from rev 316808, 
pyqt5/trunk/pyqt-support-new-qt.patch)
===================================================================
--- staging-x86_64/pyqt-support-new-qt.patch                            (rev 0)
+++ staging-x86_64/pyqt-support-new-qt.patch    2018-02-13 17:37:23 UTC (rev 
316809)
@@ -0,0 +1,12 @@
+diff -ru a/sip/QtCore/QtCoremod.sip b/sip/QtCore/QtCoremod.sip
+--- a/sip/QtCore/QtCoremod.sip 2016-12-25 18:56:11.000000000 +0100
++++ b/sip/QtCore/QtCoremod.sip 2017-01-24 12:03:50.707514377 +0100
+@@ -22,7 +22,7 @@
+ 
+ %Module(name=PyQt5.QtCore, call_super_init=True, 
default_VirtualErrorHandler=PyQt5, keyword_arguments="Optional", 
use_limited_api=True)
+ 
+-%Timeline {Qt_5_0_0 Qt_5_0_1 Qt_5_0_2 Qt_5_1_0 Qt_5_1_1 Qt_5_2_0 Qt_5_2_1 
Qt_5_3_0 Qt_5_3_1 Qt_5_3_2 Qt_5_4_0 Qt_5_4_1 Qt_5_4_2 Qt_5_5_0 Qt_5_5_1 
Qt_5_6_0 Qt_5_6_1 Qt_5_6_2 Qt_5_6_3 Qt_5_6_4 Qt_5_6_5 Qt_5_6_6 Qt_5_6_7 
Qt_5_6_8 Qt_5_6_9 Qt_5_7_0 Qt_5_7_1 Qt_5_8_0 Qt_5_8_1 Qt_5_9_0 Qt_5_9_1 
Qt_5_9_2 Qt_5_9_3 Qt_5_10_0}
++%Timeline {Qt_5_0_0 Qt_5_0_1 Qt_5_0_2 Qt_5_1_0 Qt_5_1_1 Qt_5_2_0 Qt_5_2_1 
Qt_5_3_0 Qt_5_3_1 Qt_5_3_2 Qt_5_4_0 Qt_5_4_1 Qt_5_4_2 Qt_5_5_0 Qt_5_5_1 
Qt_5_6_0 Qt_5_6_1 Qt_5_6_2 Qt_5_6_3 Qt_5_6_4 Qt_5_6_5 Qt_5_6_6 Qt_5_6_7 
Qt_5_6_8 Qt_5_6_9 Qt_5_7_0 Qt_5_7_1 Qt_5_8_0 Qt_5_8_1 Qt_5_9_0 Qt_5_9_1 
Qt_5_9_2 Qt_5_9_3 Qt_5_10_0 Qt_5_10_1}
+ 
+ %Platforms {WS_X11 WS_WIN WS_MACX}
+ 

Reply via email to